#
# ??l??ments de syntaxe de R.
# author: T. Guyet
# date: 12/2016
#

# L'instruction ci-dessous fait le 'nettoyage' des variables 
# ant??rieurement utilis??es: ??vite certaines erreurs propres 
# ?? l'utilisation de scripts
rm(list=ls())

###############  Exemple ALTERNATIVE  #############
## NB: il n'y a pas de d??claration de variable en R
##      -> la d??claration est faite en m??me temps que 
##         l'initialisation (i.e. affectation premi??re)
a <- 10
b = 3 #possiblit?? d'utiliser les deux notations d'affectation

if( a<b ) ## les tests sont entre parenth??ses
{ ## les blocs d'instructions sont d??limit??s par des accolades
  print("Le test est vrai") #fonction d'affichage par d??faut
} else {
  b <-0
  cat("Le test est faux \n") #fonction d'affichage plus esth??tique
}

#exemple de comportement conditionnel, sans "else"
if(b==0) { # Test d'??galit??: le signe doit ??tre doubl?? !!
  cat("Le test ??tait faux, ou bien vous aviez indiqu?? une valeur nulle de b\n")
}

###############  Exemple REPETITION - while  #############
b <- 3 
a <- 10

while( a>b ) {
  a <- a-1
  b <- b*2
  cat("a=",a,", b=",b,"\n")
}

###############  Exemple REPETITION - for  #############

for( i in 1:20 ) { # boucle "pour i allant de 1 ?? 20"
  rf <- i/10     # division floatante
  re <- i %/% 10 # division enti??re
  rr <- i %% 10  # reste de la division
  cat("i=", i, " i/10=", rf, " i/10=", re, "*10+", rr, "\n", sep="")
}
