#
# Exemple d'utilisation de la librairie TurtleGraphics.
# author: T. Guyet
# date: 12/2018
#

## nettoyage de toutes les variables anterieures
rm(list=ls())

## chargement de la librairie du robot Turtle
library(TurtleGraphics)

## debut du programme
turtle_init() #creation d'un graphique, de taille 100x100 par defaut
turtle_col("red") #choix de la couleur de dessin
turtle_hide() #masque la tortue

### COMMENCER A PROGRAMMER VOTRE TORTUE ICI

turtle_forward(40)
turtle_left(90)

turtle_forward(40)
turtle_left(90)

turtle_col("green") #changement de couleur

turtle_forward(40)
turtle_left(90)

turtle_forward(40)
turtle_left(90)

turtle_col("blue") #changement de couleur
turtle_up() #on leve le pinceau
turtle_right(45)
turtle_forward(sqrt(2)*40)
turtle_left(45)
turtle_down()#on descend le pinceau
turtle_left(180)
turtle_forward(40)

##  ou est la tortue ?
x <- turtle_getpos()['x']
y <- turtle_getpos()['y']
cat(x, y) #affichage des valeurs des variables x et y (positions de la tortue)




